Individual Activation

Activate a B2C customer after KYC and consent completion

Individual Activation

Activates an individual customer account.

Endpoint

POST /api/v2.1/customer/individual/{customerId}/activation

Required Headers

X-Forwarded-For string required

Client source IP (runner default: 127.0.0.1)

X-Tenant-ID string required

Tenant identifier

X-Forwarded-From string required

Client source identifier (runner default: integration-client)

platform string required

Client platform (runner default: web)

deviceId string required

Device identifier (runner default: integration-device)

Authorization string required

Bearer token

Request Body (runner-aligned)

json
{
  "userId": "customer.20260331114946-387074@testcorp.com",
  "code": "ACTIVATION_CODE_20260331114954"
}

cURL

bash
curl -X POST "https://sandbox.finhub.cloud/api/v2.1/customer/individual/{customerId}/activation" \
  -H "Content-Type: application/json" \
  -H "X-Tenant-ID: 97e7ff29-15f3-49ef-9681-3bbfcce4f6cd" \
  -H "Authorization: Bearer YOUR_ADMIN_TOKEN" \
  -d '{
    "userId": "customer.20260331114946-387074@testcorp.com",
    "code": "ACTIVATION_CODE_20260331114954"
  }'

Success Response

200
json
{
  "code": 200,
  "data": {},
  "message": "Success"
}

Type to search…

↑↓ navigate open esc close